PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' => http_build_query(
array (
'content' => 'This reply is now edited via the API.',
'status' => 'approved',
)
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/comments/8/',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"ID": 13,
"post": {
"ID": 1,
"type": "post",
"link": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/posts\/1"
},
"author": {
"ID": 18342963,
"email": false,
"name": "binarysmash",
"URL": "http:\/\/binarysmash.wordpress.com",
"avatar_URL": "http:\/\/0.gravatar.com\/avatar\/a178ebb1731d432338e6bb0158720fcc?s=96&d=identicon&r=G",
"profile_URL": "http:\/\/en.gravatar.com\/binarysmash"
},
"date": "2012-04-11T20:16:28+00:00",
"URL": "http:\/\/opossumapi.wordpress.com\/2011\/12\/13\/hello-world\/#comment-13",
"short_URL": "http:\/\/wp.me\/p23HjV-1%23comment-13",
"content": "<p>This reply is very interesting. This is editing a comment reply via the API.<\/p>\n",
"status": "approved",
"parent": {
"ID": 1,
"type": "comment",
"link": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/comments\/1"
},
"type": "comment",
"meta": {
"links": {
"self": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/comments\/13",
"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/comments\/13\/help",
"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183",
"post": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/posts\/1",
"replies": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/comments\/13\/replies\/"
}
}
}